package heap.takeshi;

public class Node {
	
	public int value;
	public Node next;
	
	public Node(int value) {
		this.value = value;
		this.next = null;
	}
	
	public Node() {
		this.value = 0;
		this.next = null;
	}
	
	public Node(int value, Node node) {
		this.value = value;
		this.next = node;
	}
	
	public String toString() {
		return String.valueOf(this.value);
	}
	
	public Node getNext() {
		return this.next;
	}
	
	public void setNext(Node node) {
		this.next = node;
	}
	
	public int getValue() {
		return this.value;
	}
	
	public void setValue(int value) {
		this.value = value;
	}
}
