package heap.chaosBuffer;

public class Chaosbuffer {

	int[] ar;
	int cursor;
	int size;
	
	public Chaosbuffer(int size) {
		System.out.println("init");
		this.size = size;
		ar = new int[this.size];
		for (int i = 0; i < this.size; i++) {
			//System.out.println(i);
			ar[i] = 0;
		}
		cursor = 0;
		System.out.println(this);
	}
	
	public void inc() {
		this.cursor++;
		this.cursor = this.cursor % this.size;
		System.out.println("inc till " + String.valueOf(cursor));
	}
	
	// terminiert nicht wenn speicher voll
	public void insert(int value) {
		System.out.println("insert");
		System.out.println(this);
		while (ar[cursor] != 0) {
			System.out.println(cursor);
			this.inc();
		}
		ar[cursor] = value;
		this.inc();
		System.out.println(this);
	}
	
	// terminiert nicht wenn speicher voll
	public void insertInput(int n, int[] a, int cursor) {
		//System.out.println("insert");
		//System.out.println(this);
		while (a[cursor] != 0) {
			//System.out.println(cursor);
			cursor++;
			cursor = cursor % a.length;
		}
		a[cursor] = n;
		cursor++;
		cursor = cursor % a.length;
		//System.out.println(this);
	}
	
	// terminiert nicht wenn value nicht im speicher
	public void delete(int value) {
		System.out.println("delete ");
		System.out.println(this);
		while (ar[cursor] != value) {
			System.out.println(cursor);
			this.inc();
		}
		ar[cursor] = 0;
		System.out.println(this);
	}
	
	public void print() {
		int oldcursor = cursor;
		cursor++;
		
		while (cursor != oldcursor) {
			System.out.println(cursor);
			this.inc();
		}
	}
	
	public String toString() {
		String s = "";
		for (int i = 0; i< ar.length; i++) {
			s += String.valueOf(ar[i]) + " ";
		}
		s += "c: " + String.valueOf(cursor);
		return s;
	}
}
